Produktly docs
ChangelogsChangelogidPosts

Create a changelog post

POST
/changelogs/{changelogId}/posts

Authorization

BearerAuth
AuthorizationBearer <token>

Use an API key from the Produktly dashboard → Settings → API keys.

In: header

Path Parameters

changelogId*integer
Range0 < value

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/changelogs/1/posts" \  -H "Content-Type: application/json" \  -d '{    "title": "Faster search",    "description": "<p>Search now returns results as you type, across projects.</p>",    "date": "2026-08-26",    "tagNames": [      "Improvement"    ],    "active": true  }'
{  "id": 0,  "title": "string",  "description": "string",  "date": "2019-08-24T14:15:22Z",  "active": true,  "tags": [    {      "id": 0,      "name": "string",      "backgroundColor": "string",      "textColor": "string"    }  ]}